package de.neusta.imonitor.correlation.persistency.repositories;

/*
 * #%L
 * entities
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import de.neusta.imonitor.correlation.persistency.entities.SparqlQueryEntity;


@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration("/test-application.xml")
public class SparqlQueryRepositoryTest {
	
	@Autowired
	private SparqlQueryRepository repository;
	
	@Test
	public void testSave() throws Exception {
		SparqlQueryEntity entity = new SparqlQueryEntity();
		repository.save(entity);
		assertTrue(entity.getId() > 0);
		
		SparqlQueryEntity findOne = repository.findOne(entity.getId());
		
		assertNotNull(findOne);
	}

}
