package de.neusta.imonitor.knowledgeserver.controller;

/*
 * #%L
 * knowledgeServer
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import static org.junit.Assert.assertEquals;

import java.util.Date;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.runners.MockitoJUnitRunner;

import de.neusta.imonitor.knowledgeserver.persistence.entities.RuleEntity;


@RunWith(MockitoJUnitRunner.class)
public class EditRuleControllerTest {
	
	@Mock
	private RuleEntity ruleEntity;
	
	
	@InjectMocks
	private EditRuleController editRuleController;


	@Mock
	private Date commitDate;

	@Test
	public void testGetCommitDate() throws Exception {
		Mockito.when(ruleEntity.getCommitDate()).thenReturn(commitDate);
		
		Date result = editRuleController.getCommitDate();
		
		assertEquals(commitDate, result);
	}
}
