package de.neusta.imonitor.ruleparser.abstraction;

/*
 * #%L
 * ruleparser
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */



public class Abstraction {
	
	private String query;
	
	private int[] abstractions = new int[0];
	
	private AbstractionVariable[] abstractionVariables = new AbstractionVariable[0]; 
	
	private Abstraction subAbstraction;
	
	private Abstraction superAbstraction;
	
	public String getQuery() {
		return query;
	}

	public void setQuery(String query) {
		this.query = query;
	}

	public Abstraction getSubAbstraction() {
		return subAbstraction;
	}

	public void setSubAbstraction(Abstraction parent) {
		this.subAbstraction = parent;
	}

	public int[] getAbstractions() {
		return abstractions;
	}

	public void setAbstractions(int[] abstractions) {
		this.abstractions = abstractions;
	}

	public Abstraction getSuperAbstraction() {
		return superAbstraction;
	}

	public void setSuperAbstraction(Abstraction child) {
		this.superAbstraction = child;
	}

	public AbstractionVariable[] getAbstractionVariables() {
		return abstractionVariables;
	}

	public void setAbstractionVariables(AbstractionVariable[] abstractionVariables) {
		this.abstractionVariables = abstractionVariables;
	}
}

