package de.neusta.imonitor.ruleparser.abstraction;

/*
 * #%L
 * ruleparser
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


public class QueryHelper {
	/**
	 * Removes leading and tailing quotation marks from a string.
	 * @param string
	 * @return
	 */
	public static String removeQuotationMarks(String string) {
		String result = string;
		if (string.startsWith("\"")){
			result = result.substring(1);
		}
		if (string.endsWith("\"")){
			result = result.substring(0, result.length() - 1);
		}
		return result;
	}


}
