package de.neusta.imonitor.correlation;

import java.util.ArrayList;
import java.util.List;

import org.junit.Before;
import org.junit.Test;

import de.neusta.imonitor.correlation.actionprocessor.ActionDatabaseHelper;
import de.neusta.imonitor.correlation.persistency.SessionManager;
import de.neusta.imonitor.correlation.rules.Action;
import de.neusta.imonitor.ontology.VariableList;

public class ActionDatabaseHelperTest {
	
	private ActionDatabaseHelper actionDatabaseHelper;
	
	@Before
	public void setup(){
		this.actionDatabaseHelper = new ActionDatabaseHelper();
	}
	
	@Test
	public void testCreateIncidentEntity(){
		// create test session
		SessionManager.getSessionFactory("hibernate.test.cfg.xml")
				.getCurrentSession();
		Action action = new Action();
		VariableList variableList = new VariableList();
		
		List<String> explanations = new ArrayList<>();
		explanations.add("explanation 1");
		explanations.add("explanation 2");
		List<String> recommendations = new ArrayList<>();
		recommendations.add("recommendation 1");
		recommendations.add("recommendation 2");
		this.actionDatabaseHelper.writeIncidentToDatabase(action, variableList, explanations, recommendations);
	}
}
