package de.neusta.imonitor.correlation;

import junit.framework.Assert;

import org.junit.Test;

import de.neusta.imonitor.correlation.utils.ConversionUtils;

public class ConversionUtilsTests {

	@Test
	public void testRemoveNamespace(){
		String uri = "imonitor:someIndividual";
		String result = ConversionUtils.removeNamespace(uri);
		Assert.assertEquals(result, "someIndividual");
	}
	
	@Test
	public void testRemoveNamespaceWithoutNamespacePrefix(){
		String uri = "someIndividual";
		String result = ConversionUtils.removeNamespace(uri);
		Assert.assertEquals(result, "someIndividual");
	}
}
