package de.neusta.imonitor.correlation;

import org.hibernate.Session;
import org.hibernate.Transaction;
import org.junit.Test;

import de.neusta.imonitor.correlation.persistency.SessionManager;
import de.neusta.imonitor.correlation.persistency.entities.ExplanationEntity;
import de.neusta.imonitor.correlation.persistency.entities.IncidentEntity;

public class HibernateTest {
	
	@Test
	public void testCreateIncidentEntity(){
		Session currentSession = SessionManager.getSessionFactory("hibernate.test.cfg.xml")
				.getCurrentSession();
		Transaction transaction = currentSession.beginTransaction();
		
		IncidentEntity incidentEntity = new IncidentEntity();
		
		currentSession.save(incidentEntity);
		
		ExplanationEntity explanationEntity = new ExplanationEntity();
		explanationEntity.setIncident(incidentEntity);
		explanationEntity.setExplanation("test");
		currentSession.save(explanationEntity);
		transaction.commit();
	}

}
