package de.neusta.imonitor.correlation.mocks;

import de.neusta.imonitor.correlation.abstraction.Abstraction;
import de.neusta.imonitor.correlation.actionprocessor.ActionProcessor;
import de.neusta.imonitor.correlation.rules.Action;
import de.neusta.imonitor.ontology.VariableList;

public class ActionProcessorMock implements ActionProcessor {

	private Action action;
	
	private VariableList variableList;
	
	private Abstraction abstraction;
	
	@Override
	public void processAction(Action action, VariableList variableList,
			Abstraction abstraction, boolean writeToDatabase) {
		this.action = action;
		this.variableList = variableList;
		this.abstraction = abstraction;
	}

	public Action getAction() {
		return action;
	}

	public VariableList getVariableList() {
		return variableList;
	}

	public Abstraction getAbstraction() {
		return abstraction;
	}

}
