package de.neusta.imonitor.knowledgeserver.converter;

/*
 * #%L
 * knowledgeServer
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import org.springframework.stereotype.Service;

import de.neusta.imonitor.knowledgeserver.controller.Rule;
import de.neusta.imonitor.knowledgeserver.persistence.entities.RuleEntity;

@Service
public class RuleEntityToRuleConverter implements Converter<RuleEntity, Rule>{

	@Override
	public Rule convert(RuleEntity source) {
		Rule rule = new Rule();
		rule.setId(source.getId());
		rule.setName(source.getName());
		rule.setStatus(source.getStatus());
		rule.setCommitDate(source.getCommitDate());
		return rule;
	}

}
