package de.neusta.imonitor.knowledgeserver.converter;

/*
 * #%L
 * knowledgeServer
 * %%
 * Copyright (C) 2013 - 2015 neusta
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */


import static org.junit.Assert.*;

import java.util.Date;

import org.junit.Test;


public class DateConverterTest {

	@Test
	public void testGetDateTimeStringNull() throws Exception {
		DateConverter dateConverter = new DateConverter();
		
		String result = dateConverter.getDateTimeString(null);
		
		assertEquals("unknown", result);
	}

	@Test
	public void testGetDateTimeString() throws Exception {
		DateConverter dateConverter = new DateConverter();
		
		Date date = new Date(1);
		String result = dateConverter.getDateTimeString(date );
		
		assertEquals("01.01.1970", result);
	}

}
