package de.neusta.imonitor.correlation.actionprocessor;

import static org.junit.Assert.*;

import org.junit.Test;


public class IpHelperTest {

	@Test
	public void testGetIpWithoutNamespaceIpv4() throws Exception {
		String ipWithoutNamespace = IpHelper.getIpWithoutNamespace("imonitor:127.0.0.1");
		
		assertEquals("127.0.0.1", ipWithoutNamespace);
	}
	
	
	@Test
	public void testGetIpWithoutNamespaceIpv6() throws Exception {
		String ipWithoutNamespace = IpHelper.getIpWithoutNamespace("imonitor:::127.0.0.1");
		
		assertEquals("::127.0.0.1", ipWithoutNamespace);
	}

}
