
package de.neusta.imonitor.knowledgeserver.webservice;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the de.neusta.imonitor.knowledgeserver.webservice package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetRules_QNAME = new QName("http://webservice.knowledgeserver.imonitor.neusta.de/", "getRules");
    private final static QName _CommitRule_QNAME = new QName("http://webservice.knowledgeserver.imonitor.neusta.de/", "commitRule");
    private final static QName _GetRulesResponse_QNAME = new QName("http://webservice.knowledgeserver.imonitor.neusta.de/", "getRulesResponse");
    private final static QName _CommitRuleResponse_QNAME = new QName("http://webservice.knowledgeserver.imonitor.neusta.de/", "commitRuleResponse");
    private final static QName _GetRuleResponse_QNAME = new QName("http://webservice.knowledgeserver.imonitor.neusta.de/", "getRuleResponse");
    private final static QName _GetRule_QNAME = new QName("http://webservice.knowledgeserver.imonitor.neusta.de/", "getRule");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: de.neusta.imonitor.knowledgeserver.webservice
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link CommitRule }
     * 
     */
    public CommitRule createCommitRule() {
        return new CommitRule();
    }

    /**
     * Create an instance of {@link GetRules }
     * 
     */
    public GetRules createGetRules() {
        return new GetRules();
    }

    /**
     * Create an instance of {@link CommitRuleResponse }
     * 
     */
    public CommitRuleResponse createCommitRuleResponse() {
        return new CommitRuleResponse();
    }

    /**
     * Create an instance of {@link GetRulesResponse }
     * 
     */
    public GetRulesResponse createGetRulesResponse() {
        return new GetRulesResponse();
    }

    /**
     * Create an instance of {@link GetRule }
     * 
     */
    public GetRule createGetRule() {
        return new GetRule();
    }

    /**
     * Create an instance of {@link GetRuleResponse }
     * 
     */
    public GetRuleResponse createGetRuleResponse() {
        return new GetRuleResponse();
    }

    /**
     * Create an instance of {@link RuleDTO }
     * 
     */
    public RuleDTO createRuleDTO() {
        return new RuleDTO();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetRules }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.knowledgeserver.imonitor.neusta.de/", name = "getRules")
    public JAXBElement<GetRules> createGetRules(GetRules value) {
        return new JAXBElement<GetRules>(_GetRules_QNAME, GetRules.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CommitRule }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.knowledgeserver.imonitor.neusta.de/", name = "commitRule")
    public JAXBElement<CommitRule> createCommitRule(CommitRule value) {
        return new JAXBElement<CommitRule>(_CommitRule_QNAME, CommitRule.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetRulesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.knowledgeserver.imonitor.neusta.de/", name = "getRulesResponse")
    public JAXBElement<GetRulesResponse> createGetRulesResponse(GetRulesResponse value) {
        return new JAXBElement<GetRulesResponse>(_GetRulesResponse_QNAME, GetRulesResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CommitRuleResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.knowledgeserver.imonitor.neusta.de/", name = "commitRuleResponse")
    public JAXBElement<CommitRuleResponse> createCommitRuleResponse(CommitRuleResponse value) {
        return new JAXBElement<CommitRuleResponse>(_CommitRuleResponse_QNAME, CommitRuleResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetRuleResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.knowledgeserver.imonitor.neusta.de/", name = "getRuleResponse")
    public JAXBElement<GetRuleResponse> createGetRuleResponse(GetRuleResponse value) {
        return new JAXBElement<GetRuleResponse>(_GetRuleResponse_QNAME, GetRuleResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetRule }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.knowledgeserver.imonitor.neusta.de/", name = "getRule")
    public JAXBElement<GetRule> createGetRule(GetRule value) {
        return new JAXBElement<GetRule>(_GetRule_QNAME, GetRule.class, null, value);
    }

}
